FileParsers.h File Reference
`#include <RDGeneral/types.h>`
`#include <GraphMol/RDKitBase.h>`
`#include <string>`
`#include <iostream>`
`#include <vector>`
`#include <exception>`
`#include <boost/shared_ptr.hpp>`

Go to the source code of this file.

## Namespaces

| RDKit
| Includes a bunch of functionality for handling Atom and Bond queries.

## Typedefs

typedef std::vector< RWMOL_SPTR > | RDKit::RWMOL_SPTR_VECT

## Enumerations

enum | RDKit::Mol2Type { RDKit::CORINA =0 }

## Functions

std::string | RDKit::strip (const std::string &orig)
RWMol * | RDKit::MolDataStreamToMol (std::istream *inStream, unsigned int &line, bool sanitize=true, bool removeHs=true, bool strictParsing=true)
RWMol * | RDKit::MolDataStreamToMol (std::istream &inStream, unsigned int &line, bool sanitize=true, bool removeHs=true, bool strictParsing=true)
RWMol * | RDKit::MolBlockToMol (const std::string &molBlock, bool sanitize=true, bool removeHs=true, bool strictParsing=true)
RWMol * | RDKit::MolFileToMol (std::string fName, bool sanitize=true, bool removeHs=true, bool strictParsing=true)
std::string | RDKit::MolToMolBlock (const ROMol &mol, bool includeStereo=true, int confId=-1, bool kekulize=true, bool forceV3000=false)
void | RDKit::MolToMolFile (const ROMol &mol, std::string fName, bool includeStereo=true, int confId=-1, bool kekulize=true, bool forceV3000=false)
RWMol * | RDKit::TPLDataStreamToMol (std::istream *inStream, unsigned int &line, bool sanitize=true, bool skipFirstConf=false)
| translate TPL data (BioCad format) into a multi-conf molecule More...
RWMol * | RDKit::TPLFileToMol (std::string fName, bool sanitize=true, bool skipFirstConf=false)
| construct a multi-conf molecule from a TPL (BioCad format) file More...
std::string | RDKit::MolToTPLText (const ROMol &mol, std::string partialChargeProp="_GasteigerCharge", bool writeFirstConfTwice=false)
void | RDKit::MolToTPLFile (const ROMol &mol, std::string fName, std::string partialChargeProp="_GasteigerCharge", bool writeFirstConfTwice=false)
RWMol * | RDKit::Mol2FileToMol (std::string fName, bool sanitize=true, bool removeHs=true, Mol2Type variant=CORINA)
RWMol * | RDKit::Mol2DataStreamToMol (std::istream *inStream, bool sanitize=true, bool removeHs=true, Mol2Type variant=CORINA)
RWMol * | RDKit::Mol2DataStreamToMol (std::istream &inStream, bool sanitize=true, bool removeHs=true, Mol2Type variant=CORINA)
RWMol * | RDKit::Mol2BlockToMol (const std::string &molBlock, bool sanitize=true, bool removeHs=true, Mol2Type variant=CORINA)
RWMol * | RDKit::PDBBlockToMol (const char *str, bool sanitize=true, bool removeHs=true, unsigned int flavor=0)
RWMol * | RDKit::PDBBlockToMol (const std::string &str, bool sanitize=true, bool removeHs=true, unsigned int flavor=0)
RWMol * | RDKit::PDBDataStreamToMol (std::istream *inStream, bool sanitize=true, bool removeHs=true, unsigned int flavor=0)
RWMol * | RDKit::PDBDataStreamToMol (std::istream &inStream, bool sanitize=true, bool removeHs=true, unsigned int flavor=0)
RWMol * | RDKit::PDBFileToMol (const std::string &fname, bool sanitize=true, bool removeHs=true, unsigned int flavor=0)
std::string | RDKit::MolToPDBBlock (const ROMol &mol, int confId=-1, unsigned int flavor=0)
void | RDKit::MolToPDBFile (const ROMol &mol, const std::string &fname, int confId=-1, unsigned int flavor=0)

## Variables

const int | RDKit::MOLFILE_MAXLINE =256